Captain Roy:
It is said that long ago a meteorite fell to earth right where the Ivory Tower stands today. The tower was built there to utilize the great magical power left over from that collision.
Because of the power of this place, monsters have become something of a problem.
Recently they have been dropping High-level Spellbooks occasionally. Until now the knowledge of these books has been quite rare.
Would you care to look around the Tower?
Return